[arch-commits] CVS update of extra/multimedia/swfdec (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Aug 5 16:49:13 EDT 2007


    Date: Sunday, August 5, 2007 @ 16:49:13
  Author: andyrtr
    Path: /home/cvs-extra/extra/multimedia/swfdec

Modified: PKGBUILD (1.7 -> 1.8)

updatepkg 0.5.1


----------+
 PKGBUILD |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)


Index: extra/multimedia/swfdec/PKGBUILD
diff -u extra/multimedia/swfdec/PKGBUILD:1.7 extra/multimedia/swfdec/PKGBUILD:1.8
--- extra/multimedia/swfdec/PKGBUILD:1.7	Fri Jul 13 17:29:03 2007
+++ extra/multimedia/swfdec/PKGBUILD	Sun Aug  5 16:49:13 2007
@@ -1,22 +1,25 @@
-#$Id: PKGBUILD,v 1.7 2007/07/13 21:29:03 andyrtr Exp $
+#$Id: PKGBUILD,v 1.8 2007/08/05 20:49:13 andyrtr Exp $
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=swfdec
-pkgver=0.5.0
+pkgver=0.5.1
 pkgrel=1
 pkgdesc="free library for decoding and rendering Flash animations"
 arch=('i686' 'x86_64')
 url="http://swfdec.freedesktop.org"
 license=('LGPL')
-depends=('gstreamer0.10' 'ffmpeg' 'alsa-lib' 'liboil' 'libmad' 'gtk2')
+depends=('gstreamer0.10' 'ffmpeg' 'alsa-lib' 'liboil' 'libmad' 'gtk2' 'libsoup')
 makedepends=('pkgconfig')
-source=(http://swfdec.freedesktop.org/download/swfdec/0.5/${pkgname}-${pkgver}.tar.gz)
-md5sums=('53c9dd7f87ec9a73277ceb4d7c033a3c')
+source=(http://swfdec.freedesktop.org/download/swfdec/0.5/${pkgname}-${pkgver}.tar.gz
+	libversion.patch)
+md5sums=('073974b436afc3791a436ddd449580dd'
+         '2b50ef91a75ca6c0faf4f1dff344759b')
 options=('!libtool' '!emptydirs')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --disable-static --enable-gtk --enable-mad --disable-gnome-vfs
+  patch -Np0 -i ../libversion.patch || return 1
+  ./configure --prefix=/usr --disable-static --enable-gtk --enable-mad --disable-gnome-vfs --enable-soup
   make || return 1
   make DESTDIR=${startdir}/pkg install
 }




More information about the arch-commits mailing list